export default {
    methods: {
        notifyChange(event) {
          alert("Probably save the data");
          console.log(event);
        },
    },
    props: [],
    name: "course-book",
    data: () => {
        return {
          "lesson":{
            "teachers":[
              {
                "id":1245,
                "full_name":"Teacher, first_name"
              }
            ],
            "subject":{
              "name":"Informatik"
            },
            "groups":[
              {
                "name":"Q2b",
                "short_name":"q2b",
                "members":[
                  {
                    "id":3212,
                    "full_name":"Student, first_name"
                  },
                  {
                    "id":7428,
                    "full_name":"Student2, first_name"
                  },
                    {
                    "id":392,
                    "full_name":"Wendt, Gesch."
                  },
                ]
              },
              {
                "name":"Q1b",
                "short_name":"q1b",
                "members":[
                  {
                    "id":4212,
                    "full_name":"Student21, first_name"
                  },
                  {
                    "id":123,
                    "full_name":"Elf, Mais"
                  },
                  {
                    "id":571,
                    "full_name":"Pil, Mail-Pu"
                  },
                ]
              }
            ],
            "validity_range":{
              "date_start":"2022-01-01",
              "date_end":"2022-12-31"
            }
          },
          "excuse_types":[
            {
              "name":"Schulisch entschuldigt",
              "short_name":"s"
            },
            {
              "name":"Something else",
              "short_name":"o"
            }
          ],
          "extra_marks":[
            {
              "short_name":"hw",
              "name":"Homework Forgotten"
            }
          ],
          "lesson_documentations":[
            {
              "topic":"Rechner auseinanderschrauben",
              "homework":"Aufgabe 1 programmieren",
              "group_note":"Einweisung Feueralarm durchgeführt",
              "date":"2022-05-26",
              "period_formatted":"5.",
              "personal_notes":[

              ]
            },
            {
              "topic":"Python Basics",
              "homework":"Aufgabe 2 angucken",
              "group_note":"",
              "date":"2022-05-25",
              "period_formatted":"5.",
              "personal_notes":[
                {
                  "id":1,
                  "student":{
                    "id":571,
                    "full_name":"Pil, Mail-Pu"
                  },
                  "tardiness":5,
                  "absent":false,
                  "excused":false,
                  "excuse_type":null,
                  "extra_marks":[

                  ]
                },
                {
                  "id":2,
                  "student":{
                    "id":123,
                    "full_name":"Elf, Mais"
                  },
                  "tardiness":0,
                  "absent":false,
                  "excused":false,
                  "excuse_type":null,
                  "extra_marks":[
                    {
                      "short_name":"hw",
                      "name":"Homework Forgotten"
                    }
                  ]
                },
                {
                  "id":3,
                  "student":{
                    "id":392,
                    "full_name":"Wendt, Gesch."
                  },
                  "tardiness":0,
                  "absent":true,
                  "excused":true,
                  "excuse_type":{
                    "name":"Schulisch entschuldigt",
                    "short_name":"s"
                  },
                  "extra_marks":[

                  ]
                }
              ]
            }
          ]
        }
    },
    template: `
    <div>
      <v-subheader>{{ lesson.subject.name }}</v-subheader>
      <v-row>
        <v-col v-for="item in lesson_documentations" cols="12" v-bind:key="item.id">
          <lesson-documentation
            v-bind:key="item.id" :groups="lesson.groups" :excuse-types="excuse_types" :extra-marks="extra_marks"
             :period="item.period_formatted"
             
             :personal-notes="item.personal_notes"
             @change-personal-notes="notifyChange"
             
             :date="item.date"
             @change-date="notifyChange"
             
             :topic="item.topic"
             @change-topic="notifyChange"
             
             :homework="item.homework"
             @change-homework="notifyChange"
             
             :group-note="item.group_note"
             @change-group-note="createNotification('course-book');"
          ></lesson-documentation>
        </v-col>
      </v-row>
    </div>
`
}
